﻿using System;


namespace Libra.Attributes
{
	[AttributeUsage(AttributeTargets.Property | AttributeTargets.Enum | AttributeTargets.Field)]
	public class ViewAttribute : Attribute
	{
		//      #constructors   ---     ---     ---

		public ViewAttribute(string name)
		{
			Name = name;
		}

		public ViewAttribute(string name, string description)
		{
			Name = name;
			Description = description;
		}

		//      #properties     ---     ---     ---

		public string Name { get; private set; }

		public string Description { get; set; }
	}
}